View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003164VTK(No Category)public2006-04-25 11:372013-04-05 20:19
ReporterMathieu Malaterre 
Assigned ToDavid Cole 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003164: Problem with Timer (Timer start failed)
DescriptionStep to reproduce:
$ vtk Filtering/Testing/Tcl/ImplicitSum.tcl
ERROR: In /home/mathieu/Dashboards/MyTests/ParaView/VTK/Rendering/vtkInteractorStyle.cxx, line 379
vtkInteractorStyleJoystickCamera (0x8224958): Timer start failed

ERROR: In /home/mathieu/Dashboards/MyTests/ParaView/VTK/Rendering/vtkInteractorStyle.cxx, line 379
vtkInteractorStyleJoystickCamera (0x8224958): Timer start failed

ERROR: In /home/mathieu/Dashboards/MyTests/ParaView/VTK/Rendering/vtkInteractorStyle.cxx, line 379
vtkInteractorStyleJoystickCamera (0x8224958): Timer start failed

vtkDebugLeaks has detected LEAKS!
Class "vtkCommand or subclass" has 1 instance still around.
TagsNo tags attached.
Project
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0004978)
Andrew Maclean (reporter)
2006-09-20 02:10

I am requesting that the priority and severity be raised. This is because it is not possible to interact with the vtk objects.

Under Debian Linux and this error manifests itself whenever any mouse interaction is attempted with the image (left, middle or right clicks).

Try a program like vtkMedical.tcl or the one as originally reported.

Curiously, everything is OK in Windows XP.

Thanks
  Andrew
(0005012)
kdsfinger (reporter)
2006-09-21 21:35

I got the same problem with my own code in fedora4 in vtk 5.1.0

ERROR: In /home/me/vtk/VTK/Rendering/vtkInteractorStyle.cxx, line 379
vtkInteractorStyleJoystickCamera (0x81200c0): Timer start failed
(0005397)
Mathieu Malaterre (developer)
2006-10-13 15:09

Is this fixed by your recent commit ?
(0012975)
Peter Wainwright (reporter)
2008-08-09 07:59

Two years on, and this is still not fixed!

Does anyone use the interactor in joystick mode? Perhaps not, otherwise I'm sure this issue would have got more attention by now.

Still, if you work through the standard VTK tutorials as I am doing, you're going to hit this bug pretty soon.

The problem does *not* occur with VTK 5.0.3 from the Ubuntu repository.
It *does* occur with the latest CVS checkout. What has changed?

vtkInteractorStyle::StartState previously called rwi->CreateTimer().
It now calls rwi->CreateRepeatingTimer(), but this method does not appear to be implemented in vtkXRenderWindowTclInteractor. The default method (from VtkRenderWindowInteractor) returns 0, which triggers the error.

Thus, the problem appears to be a missing implementation in the X11 version only. Is no-one using Linux/Unix anymore?
(0013016)
David Cole (developer)
2008-08-14 14:39

Fixed in CVS HEAD by making vtkXRenderWindowTclInteractor a trivial subclass of vtkXRenderWindowInteractor:

    /cvsroot/VTK/VTK/Graphics/Testing/Tcl/TestFillHolesFilter.tcl,v <-- Graphics/Testing/Tcl/TestFillHolesFilter.tcl
    new revision: 1.3; previous revision: 1.2
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowInteractor.cxx,v <-- Rendering/vtkXRenderWindowInteractor.cxx
    new revision: 1.136; previous revision: 1.135
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowInteractor.h,v <-- Rendering/vtkXRenderWindowInteractor.h
    new revision: 1.75; previous revision: 1.74
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowTclInteractor.cxx,v <-- Rendering/vtkXRenderWindowTclInteractor.cxx
    new revision: 1.54; previous revision: 1.53
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowTclInteractor.h,v <-- Rendering/vtkXRenderWindowTclInteractor.h
    new revision: 1.26; previous revision: 1.25
(0013017)
David Cole (developer)
2008-08-14 14:40

I will merge this to the VTK-5-2 branch after a clean night on the dashboards and then mark this issue as resolved...
(0013030)
amaclean (reporter)
2008-08-14 19:33

I don't think this is fixed. I tried the TestFillHoleFilter.tcl and vtkMedical1.tcl, now there is no interaction and they do not respond to keyboard commands.

I did a make clean/make on the cvs.
(0013032)
David Cole (developer)
2008-08-15 07:31

Thanks for the info, Andrew. I will continue to look at this later today and will postpone merging it to VTK-5-2 until I've gotten rid of the error message *and* gotten the interaction to work right.
(0013038)
Fran├žois Bertel (developer)
2008-08-15 11:43

At least it fixed TestInteractorEventRecorder-image on arkadia, test that has been failing since its first submission (2008-06-20).

See [Show Failing/Passing Graph] on:
http://www.cdash.org/CDash/testDetails.php?test=7933432&build=147974 [^]
(0013079)
David Cole (developer)
2008-08-19 15:23

Further refinement of the fix:

    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowInteractor.cxx,v <-- Rendering/vtkXRenderWindowInteractor.cxx
    new revision: 1.137; previous revision: 1.136
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowTclInteractor.cxx,v <-- Rendering/vtkXRenderWindowTclInteractor.cxx
    new revision: 1.55; previous revision: 1.54
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowTclInteractor.h,v <-- Rendering/vtkXRenderWindowTclInteractor.h
    new revision: 1.27; previous revision: 1.26

One more night on the dashboards and then merge to VTK-5-2 if all is well. Interaction now works with this commit including TestFillHolesFilter.tcl, Medical1.tcl and ImplicitSum.tcl... Please let me know if you find any additional problems....
(0013100)
amaclean (reporter)
2008-08-19 22:01

I can confirm that it is working Ok on the Medical?.tcl examples. Also SpherePuzzle.tcl

Thanks
(0013119)
David Cole (developer)
2008-08-20 15:17

One more round of eliminating warnings and fixing reported issues:

    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowTclInteractor.cxx,v <-- vtkXRenderWindowTclInteractor.cxx
    new revision: 1.56; previous revision: 1.55
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowTclInteractor.h,v <-- vtkXRenderWindowTclInteractor.h
    new revision: 1.28; previous revision: 1.27

Tomorrow: to VTK-5-2 ...
(0013124)
David Cole (developer)
2008-08-21 08:02

Finally.

Merged to VTK-5-2 this morning:

    /cvsroot/VTK/VTK/Graphics/Testing/Tcl/TestFillHolesFilter.tcl,v <-- Graphics/Testing/Tcl/TestFillHolesFilter.tcl
    new revision: 1.2.2.1; previous revision: 1.2
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowInteractor.cxx,v <-- Rendering/vtkXRenderWindowInteractor.cxx
    new revision: 1.134.2.2; previous revision: 1.134.2.1
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowInteractor.h,v <-- Rendering/vtkXRenderWindowInteractor.h
    new revision: 1.74.6.1; previous revision: 1.74
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowTclInteractor.cxx,v <-- Rendering/vtkXRenderWindowTclInteractor.cxx
    new revision: 1.53.14.1; previous revision: 1.53
    /cvsroot/VTK/VTK/Rendering/vtkXRenderWindowTclInteractor.h,v <-- Rendering/vtkXRenderWindowTclInteractor.h
    new revision: 1.25.64.1; previous revision: 1.25

- Issue History
Date Modified Username Field Change
2008-08-09 07:59 Peter Wainwright Note Added: 0012975
2008-08-14 14:39 David Cole Note Added: 0013016
2008-08-14 14:40 David Cole Note Added: 0013017
2008-08-14 19:33 amaclean Note Added: 0013030
2008-08-15 07:31 David Cole Note Added: 0013032
2008-08-15 11:43 Fran├žois Bertel Note Added: 0013038
2008-08-19 15:23 David Cole Note Added: 0013079
2008-08-19 22:01 amaclean Note Added: 0013100
2008-08-20 15:17 David Cole Note Added: 0013119
2008-08-21 08:02 David Cole Status tabled => @80@
2008-08-21 08:02 David Cole Resolution open => fixed
2008-08-21 08:02 David Cole Note Added: 0013124
2011-01-13 17:00 Source_changeset_attached => VTK master a2bd8391
2011-01-13 17:00 Source_changeset_attached => VTK master 020ef709
2011-06-16 13:11 Zack Galbreath Category => (No Category)
2013-04-05 20:19 Berk Geveci Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker